//
//  XingObjectInvitationStats.h
//  XingSDK
//
//  Created by Johannes Plunien on 2/9/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>

/**
 # Properties

 * alreadyInvited
 * alreadyMember
 * invalidAddresses
 * invitationsSent
 * totalAdresses

 */
@interface XingObjectInvitationStats : NSObject

@property (nonatomic, strong) NSArray *alreadyInvited;
@property (nonatomic, strong) NSSet *alreadyMember;
@property (nonatomic, strong) NSArray *invalidAddresses;
@property (nonatomic, copy) NSNumber *invitationsSent;
@property (nonatomic, copy) NSNumber *totalAddresses;

+ (RKObjectMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
