//
//  XingObjectBookmarks.h
//  XingSDK
//
//  Created by Johannes Plunien on 2/9/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>

/**
 # Properties

 * items
 * total

 */
@interface XingObjectBookmarks : NSObject

@property (nonatomic, copy) NSNumber *total;
@property (nonatomic, strong) NSSet *items;

+ (RKObjectMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
