//
//  XingObjectConversations.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/16/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>

/**
 # Properties

 * items
 * total
 * unreadCount

 */
@interface XingObjectConversations : NSObject

@property (nonatomic, copy) NSNumber *total;
@property (nonatomic, copy) NSNumber *unreadCount;
@property (nonatomic, strong) NSSet *items;

+ (RKObjectMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
