//
//  XingEntityAddress.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/1/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityAddress.h"

@implementation XingEntityAddress

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    [mapping addAttributeMappingsFromDictionary:@{
     @"city":         @"city",
     @"country":      @"country",
     @"zip_code":     @"zipCode",
     @"street":       @"street",
     }];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p city:%@ country:%@ zipCode:%@ street:%@>",
            NSStringFromClass([self class]),
            self,
            self.city,
            self.country,
            self.zipCode,
            self.street];
}

@end
