//
//  XingEntityCompany.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityCompany.h"

@implementation XingEntityCompany

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    [mapping addAttributeMappingsFromDictionary:@{
     @"id": @"companyID",
     @"name": @"name",
     @"links": @"links",
     }];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p name:%@>", NSStringFromClass([self class]), self, self.name];
}

@end
