//
//  XingEntityContactPath.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityContactPath.h"

/**
 # Relationships

 * fromUser -> XingEntityUser -> contactPathOrigin
 * toUser -> XingEntityUser -> contactPathDestination
 * users -> XingEntityUser -> contactPathMember

 */
@interface XingEntityContactPath : _XingEntityContactPath

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
