//
//  XingEntityContactRequest.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/23/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityContactRequest.h"

/**
 # Properties
 
 * message
 * outgoing
 * receivedAt

 # Relationships

 * receiver -> XingEntityUser -> contactRequests
 * sender -> XingEntityUser -> contactRequestsInverse

 */
@interface XingEntityContactRequest : _XingEntityContactRequest

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
