//
//  XingEntityGeoCode.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityGeoCode.h"

/**
 # Properties

 * accuracy
 * latitude
 * longitude

 # Relationships

 * location -> XingEntityLocation -> geocode

 */
@interface XingEntityGeoCode : _XingEntityGeoCode

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
