//
//  XingEntityJob.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityJob.h"

/**
 # Properties

 * industry
 * jobDescription
 * jobID
 * jobType
 * level
 * links
 * publishedAt
 * skills
 * tags
 * title

 # Relationships

 * company -> XingEntityCompany -> jobCompany
 * contactCompany -> XingEntityCompany -> jobContact
 * contactUser -> XingEntityUser -> jobContact
 * location -> XingEntityLocation -> job

 */
@interface XingEntityJob : _XingEntityJob

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
