//
//  XingEntityLocation.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityLocation.h"

/**
 # Properties

 See properties of parent class: XingEntityAddress

 * region

 # Relationships

 * geoCode -> XingEntityGeoCode -> location
 * job -> XingEntityJob -> location

 */
@interface XingEntityLocation : _XingEntityLocation

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
