//
//  XingEntityPhotoURL.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/7/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityPhotoURL.h"

@implementation XingEntityPhotoURL

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    [mapping addAttributeMappingsFromDictionary:@{
     @"large": @"large",
     @"mini_thumb": @"miniThumb",
     @"thumb": @"thumb",
     @"medium_thumb": @"mediumThumb",
     @"maxi_thumb": @"maxiThumb",
     }];
    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p large:%@>", NSStringFromClass([self class]), self, self.large];
}

@end
