//
//  XingEntityTag.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/2/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityTag.h"

@implementation XingEntityTag

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    [mapping addAttributeMappingsFromDictionary:@{@"tag": @"value"}];
    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p value:%@>", NSStringFromClass([self class]), self, self.value];
}

@end
