//
//  XingAPIConstants.m
//  XingSDK
//
//  Created by Johannes Plunien on 1/16/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingAPIConstants.h"

@implementation XingAPIConstants

NSString * const XingAPIErrorKey = @"XingAPIErrorKey";

NSString * const XingAPIParamAccuracy = @"accuracy";
NSString * const XingAPIParamActivityID = @"activity_id";
NSString * const XingAPIParamAge = @"age";
NSString * const XingAPIParamAggregate = @"aggregate";
NSString * const XingAPIParamContactID = @"contact_id";
NSString * const XingAPIParamContent = @"content";
NSString * const XingAPIParamConversationID = @"conversation_id";
NSString * const XingAPIParamEmails = @"emails";
NSString * const XingAPIParamFields = @"fields";
NSString * const XingAPIParamID = @"id";
NSString * const XingAPIParamLatitude = @"latitude";
NSString * const XingAPIParamLimit = @"limit";
NSString * const XingAPIParamLocation = @"location";
NSString * const XingAPIParamLongitude = @"longitude";
NSString * const XingAPIParamMessage = @"message";
NSString * const XingAPIParamOffset = @"offset";
NSString * const XingAPIParamOrderBy = @"order_by";
NSString * const XingAPIParamPublic = @"public";
NSString * const XingAPIParamQuery = @"query";
NSString * const XingAPIParamRadius = @"radius";
NSString * const XingAPIParamRecipientIDS = @"recipient_ids";
NSString * const XingAPIParamSimilarUserID = @"similar_user_id";
NSString * const XingAPIParamSince = @"since";
NSString * const XingAPIParamStripHTML = @"strip_html";
NSString * const XingAPIParamSubject = @"subject";
NSString * const XingAPIParamTTL = @"ttl";
NSString * const XingAPIParamText = @"text";
NSString * const XingAPIParamToEmails = @"to_emails";
NSString * const XingAPIParamUntil = @"until";
NSString * const XingAPIParamUserFields = @"user_fields";
NSString * const XingAPIParamUserID = @"user_id";
NSString * const XingAPIParamWithLatestMessages = @"with_latest_messages";

NSString * const XingAPIUserFieldsAll = @"id,first_name,last_name,display_name,page_name,permalink,gender,birth_date,active_email,time_zone,premium_services,badges,wants,haves,interests,organisation_member,languages,private_address,business_address,web_profiles,instant_messaging_accounts,professional_experience,educational_background,photo_urls";
NSString * const XingAPIUserFieldsIDCard = @"id,display_name,permalink,photo_urls";

@end
