//
//  XingErrorMessage.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/2/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingErrorMessage.h"

@implementation XingErrorMessage

+ (RKObjectMapping *)mapping {
    RKObjectMapping *mapping = [RKObjectMapping mappingForClass:[self class]];
    [mapping addAttributeMappingsFromDictionary:@{
     @"error_name": @"errorName",
     @"message": @"errorMessage",
     }];
    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p errorName:%@ errorMessage:%@>", NSStringFromClass([self class]), self, self.errorName, self.errorMessage];
}

@end
