//
//  XingObjectManager.m
//  XingSDK
//
//  Created by Johannes Plunien on 1/20/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingObjectManager.h"
#import "XingHTTPClient.h"

@interface RKObjectManager (XingSDK)

- (NSMutableURLRequest *)requestWithMethod:(NSString *)method
                                      path:(NSString *)path
                                parameters:(NSDictionary *)parameters;

@end

@implementation XingObjectManager

- (NSMutableURLRequest *)requestWithMethod:(NSString *)method
                                      path:(NSString *)path
                                parameters:(NSDictionary *)parameters {
    NSMutableURLRequest *request = [super requestWithMethod:method path:path parameters:parameters];
    [(XingHTTPClient *)self.HTTPClient signRequest:request];
    return request;
}

@end
