//
//  XingGeoLocationAPITest.m
//  XingSDK
//
//  Created by Johannes Plunien on 2/1/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingGeoLocationAPITest.h"

@implementation XingGeoLocationAPITest

- (void)testUpdateGeoLocation {
    if (self.session.isReady == NO) return;

    NSDictionary *params = @{
    XingAPIParamAccuracy : @"3000",
    XingAPIParamLatitude : @"53.55555",
    XingAPIParamLongitude : @"9.98765",
    };
    XingAPIResponse *response = nil;
    [self waitFor:[self.api updateGeoLocation:params] result:&response];
    expect(response.operation.HTTPRequestOperation.response.statusCode).to.equal(204);
}

@end
