//
//  XingTest.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/13/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingTest.h"

@implementation XingTest

+ (void)initialize {
    // Ensure the required directories exist
    BOOL directoryExists;
    NSError *error = nil;

    directoryExists = RKEnsureDirectoryExistsAtPath(RKApplicationDataDirectory(), &error);
    if (!directoryExists) {
        RKLogError(@"Failed to create application data directory. Unable to run tests: %@", error);
        NSAssert(directoryExists, @"Failed to create application data directory.");
    }

    directoryExists = RKEnsureDirectoryExistsAtPath(RKCachesDirectory(), &error);
    if (!directoryExists) {
        RKLogError(@"Failed to create caches directory. Unable to run tests: %@", error);
        NSAssert(directoryExists, @"Failed to create caches directory.");
    }
}

@end
