//
//  XingContactMappingTest.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingContactMappingTest.h"
#import "XingEntityUser.h"

@implementation XingContactMappingTest

- (void)testContactMapping {
    RKEntityMapping *mapping = [self mappingForClass:[XingObjectContacts class]];
    NSDictionary *data = [self mappingData:@"contact"][@"contacts"];
    RKMappingTest *test = [self testForMapping:mapping withData:data];
    [test performMapping];

    XingObjectContacts *contacts = test.destinationObject;
    expect(contacts.total).to.equal(@47);
    expect(contacts.items.anyObject).to.beInstanceOf(XingEntityUser.class);
}

@end
