//
//  XingSDKTests.m
//  XingSDKTests
//
//  Created by Johannes Plunien on 11/15/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingSDKTests.h"
#import "XingSDK.h"

@implementation XingSDKTests

- (void)testBaseURL {
    expect(XingSDK.session.baseURL).to.equal(@"https://api.xing.com/v1");
    NSString *newUrl = @"http://internal.xing.com/v1";
    [XingSDK setSharedInstance:[[XingSDK alloc] initWithURL:newUrl]];
    expect(XingSDK.session.baseURL).to.equal(newUrl);
}

@end
