# XingSDK 0.1.0

XingSDK is a framework to access the XING REST API at
https://dev.xing.com/

# Notice

This SDK is under heavy development currently and at most in alpha quality.
APIs of this SDK can change at any time without prior notice. The CD model
will be changed **without** creating a new version until we hit 0.0.1. You
have been warned :).

**This is not the official XING SDK - it's just a private project.**

# Introduction

Please see the documentation here:
http://plu.github.com/XingSDK/Classes/XingSDK.html

Here's an example app using XingSDK: https://github.com/plu/XingSDK-Example

# See also

* http://code.google.com/p/gtm-oauth
* https://github.com/github/ReactiveCocoa
* https://github.com/magicalpanda/MagicalRecord
* https://github.com/RestKit/RestKit

# Development

Just fork the project and open a pull request.

# Tests

To get started, install all dependencies:

```sh
bundle install
pod install
```

## Local web server

To get the tests working you must start some local web server via:

`bundle exec rake server:start`

This web server returns fixed JSON responses similar to the live API.

## Testing against the real API

**This is not recommended!**

If you want to test with the real API, you must add valid credentials
to the `XingSDKTests/XingSDKTestConfig.json`.

There's also a `rake` task to generate such a file:

```
CONSUMER_KEY=k3y CONSUMER_SECRET=s3cr3t bundle exec rake oauth
```
