//
//  XingAPIGeoLocations.h
//  XingSDK
//
//  Created by Johannes Plunien on 1/16/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingAPI.h"

@interface XingAPI (GeoLocations)

/**
 https://dev.xing.com/docs/put/users/:user_id/geo_location

 Update the currently authenticated user's geographical location. This user can then be found using
 the "get nearby users" call.

 @param parameters A dictionary of GET parameters. See the documentation linked above for valid
 parameters and their meaning.
 */
- (RACSignal *)updateGeoLocation:(NSDictionary *)parameters;

/**
 https://dev.xing.com/docs/get/users/:user_id/nearby_users

 TODO: Not implemented yet.
 */

@end
