//
//  XingAPIStatusMessages.h
//  XingSDK
//
//  Created by Johannes Plunien on 1/16/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingAPI.h"

@interface XingAPI (StatusMessages)

/**
 https://dev.xing.com/docs/post/users/:id/status_message

 Posts a new status update for the specified user in the activity stream.

 @param message The new status update. The maximum length is 420 characters.
 */
- (RACSignal *)postStatusUpdate:(NSString *)message;

@end
