//
//  XingAPIResponse.m
//  XingSDK
//
//  Created by Johannes Plunien on 1/15/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingAPIResponse.h"

@implementation XingAPIResponse

+ (id)responseWithOperation:(RKManagedObjectRequestOperation *)inOperation result:(RKMappingResult *)inResult {
    return [[self alloc] initWithOperation:inOperation result:inResult];
}

- (id)initWithOperation:(RKManagedObjectRequestOperation *)inOperation result:(RKMappingResult *)inResult {
    if (self = [super init]) {
        _operation = inOperation;
        _result = inResult;
    }
    return self;
}

- (id)resultObject {
    return self.result.array.lastObject;
}

@end
