//
//  XingObjectContactPaths.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>

/**
 # Properties

 * distance
 * items
 * total

 */
@interface XingObjectContactPaths : NSObject

@property (nonatomic, copy) NSNumber *distance;
@property (nonatomic, copy) NSNumber *total;
@property (nonatomic, strong) NSSet *items;

+ (RKObjectMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
