//
//  XingEntityActivityComment.h
//  XingSDK
//
//  Created by Johannes Plunien on 01/13/13.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityActivityComment.h"

/**
 # Properties

 * commentID
 * content
 * createdAt

 # Relationships

 * activity -> XingEntityActivity -> objects
 * creator -> XingEntityUser -> activityCommentCreator

 */
@interface XingEntityActivityComment : _XingEntityActivityComment {}

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
