//
//  XingEntityAddress.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/1/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityAddress.h"

/**
 This is an abstract entity and should not be used directly. Use one of the subclasses instead,
 XingEntityAddressBusiness or XingEntityAddressPrivate.

 # Properties
 
 * city
 * country
 * email
 * fax
 * mobilePhone
 * phone
 * province
 * street
 * zipCode

 */
@interface XingEntityAddress : _XingEntityAddress

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
