//
//  XingEntityAddressUser.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityAddressUser.h"

/**
 This is an abstract entity and should not be used directly. Use one of the subclasses instead,
 XingEntityAddressBusiness or XingEntityAddressPrivate.

 # Properties

 See properties of parent class: XingEntityAddress

 * email
 * fax
 * mobilePhone
 * phone
 * province

 */
@interface XingEntityAddressUser : _XingEntityAddressUser

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
