//
//  XingEntityAddressUser.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/1/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityAddressUser.h"

@implementation XingEntityAddressUser

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [super mappingInManagedObjectStore:store];

    [mapping addAttributeMappingsFromDictionary:@{
     @"phone":        @"phone",
     @"fax":          @"fax",
     @"province":     @"province",
     @"email":        @"email",
     @"mobile_phone": @"mobilePhone",
     }];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p city:%@ country:%@ zipCode:%@ street:%@ phone:%@ fax:%@ province:%@ email:%@ mobilePhone:%@>",
            NSStringFromClass([self class]),
            self,
            self.city,
            self.country,
            self.zipCode,
            self.street,
            self.phone,
            self.fax,
            self.province,
            self.email,
            self.mobilePhone];
}

@end
