//
//  XingEntityCompany.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityCompany.h"

/**
 # Properties

 * companyID
 * links
 * name

 # Relationships

 * jobCompany -> XingEntityJob -> company
 * jobContact -> XingEntityJob -> contactCompany

 */
@interface XingEntityCompany : _XingEntityCompany

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
