//
//  XingEntityConversation.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/16/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityConversation.h"

/**
 # Properties

 * conversationID
 * messageCount
 * readOnly
 * subject
 * unreadMessageCount
 * updatedAt

 # Relationships

 * messages -> XingEntityMessage -> conversation
 * participants -> XingEntityUser -> conversationParticipant
 * user -> XingEntityUser -> conversations

 */
@interface XingEntityConversation : _XingEntityConversation

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
