//
//  XingEntityGeoCode.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityGeoCode.h"

@implementation XingEntityGeoCode

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    [mapping addAttributeMappingsFromArray:@[@"accuracy", @"latitude", @"longitude"]];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p accuracy:%@ latitude:%@ longitude:%@>", NSStringFromClass([self class]), self, self.accuracy, self.latitude, self.longitude];
}

@end
