//
//  XingEntityMessage.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/16/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityMessage.h"

/**
 # Properties

 * content
 * createdAt
 * messageID
 * read

 # Relationships

 * conversation -> XingEntityConversation -> messages
 * sender -> XingEntityUser -> messageSender

 */
@interface XingEntityMessage : _XingEntityMessage

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
