//
//  XingEntityPhotoURL.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/7/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityPhotoURL.h"

/**
 # Properties

 * large
 * maxiThumb
 * mediumThumb
 * miniThumb
 * thumb

 # Relationships

 * user -> XingEntityUser -> photoURL
 * profileVisit -> XingEntityProfileVisit -> photoURL

 */
@interface XingEntityPhotoURL : _XingEntityPhotoURL

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
