//
//  XingEntityProfessionalExperience.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/14/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityProfessionalExperience.h"

/**
 # Properties

 # Relationships

 * primaryCompany -> XingEntityUserCompany -> primaryProfessionalExperience
 * otherCompanies -> XingEntityUserCompany -> otherProfessionalExperience
 * awards -> XingEntityAward -> professionalExperience

 */
@interface XingEntityProfessionalExperience : _XingEntityProfessionalExperience

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
