//
//  XingEntityProfileMessage.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/23/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityProfileMessage.h"

@implementation XingEntityProfileMessage

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    [mapping addAttributeMappingsFromDictionary:@{
     @"message": @"message",
     @"updated_at": @"updatedAt",
     }];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p message:%@>", NSStringFromClass([self class]), self, self.message];
}

@end
