//
//  XingEntityProfileVisit.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/27/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityProfileVisit.h"

/**
 # Properties

 * companyName
 * displayName
 * reasonText
 * userID
 * visitedAt
 * visitedAtEncrypted

 # Relationships

 * user -> XingEntityUser -> profileVisits
 * photoURL -> XingEntityPhotoURL -> profileVisit

 */
@interface XingEntityProfileVisit : _XingEntityProfileVisit

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
