//
//  XingEntitySchool.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/14/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntitySchool.h"

/**
 # Properties

 * beginDate
 * degree
 * endDate
 * name
 * notes
 * subject

 # Relationships

 * educationalBackground -> XingEntityEducationalBackground -> schools

 */
@interface XingEntitySchool : _XingEntitySchool

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
