//
//  XingEntitySchool.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/14/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntitySchool.h"

@implementation XingEntitySchool

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    [mapping addAttributeMappingsFromDictionary:@{
     @"begin_date": @"beginDate",
     @"degree": @"degree",
     @"end_date": @"endDate",
     @"name": @"name",
     @"notes": @"notes",
     @"subject": @"subject",
     }];
    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p name:%@>", NSStringFromClass([self class]), self, self.name];
}

@end
