//
//  XingEntityUserCompany.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/14/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityUserCompany.h"

/**
 # Properties

 * beginDate
 * careerLevel
 * companyDescription
 * companySize
 * endDate
 * industry
 * name
 * tag
 * title
 * url

 # Relationships

 * otherProfessionalExperience -> XingEntityProfessionalExperience -> primaryCompany
 * primaryProfessionalExperience -> XingEntityProfessionalExperience -> otherCompanies

 */
@interface XingEntityUserCompany : _XingEntityUserCompany

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
