//
//  XingEntityUserCompany.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/14/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityUserCompany.h"

@implementation XingEntityUserCompany

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    [mapping addAttributeMappingsFromDictionary:@{
     @"begin_date": @"beginDate",
     @"career_level": @"careerLevel",
     @"description": @"companyDescription",
     @"company_size": @"companySize",
     @"end_date": @"endDate",
     @"industry": @"industry",
     @"name": @"name",
     @"tag": @"tag",
     @"title": @"title",
     @"url": @"url",
     }];
    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p name:%@>", NSStringFromClass([self class]), self, self.name];
}

@end
